# rescale methods for gates

Source: `R/transform_gate.R`
`transform-gate.Rd`

rescale the gate coordinates with the transformation provided

    transform(`_data`, ...)

    rescale_gate(gate, trans, param)

## Arguments

_data | the filter or filterList object. Currently support polygonGate, ellipsoidGate, rectangleGate and quadGate.
... | trans the transformation function or transformList object param the parameter/dimension to be transformed. When trans is transformList object, param is not needed since it is derived from transformList.
gate | gate object
trans | the transformation function
param | the parameter/dimension to be transformed.

## Value

the transformed filter/filterList object